> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Context



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json get /api/mcp/context/search
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /api/mcp/context/search:
    get:
      tags:
        - MCP
      summary: Search Context
      operationId: search_context_api_mcp_context_search_get
      parameters:
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Query
        - name: connector_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Connector Type
        - name: integration_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Integration Source Id
        - name: org_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Org Id
        - name: X-Organization-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpContextSearchResponse'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
components:
  schemas:
    McpContextSearchResponse:
      properties:
        organization_id:
          type: string
          title: Organization Id
        query:
          type: string
          title: Query
        filters:
          $ref: '#/components/schemas/McpContextFilters'
        schema_matches:
          items:
            $ref: '#/components/schemas/McpSchemaMatch'
          type: array
          title: Schema Matches
        data_dictionary_matches:
          items:
            $ref: '#/components/schemas/McpDataDictionaryMatch'
          type: array
          title: Data Dictionary Matches
      type: object
      required:
        - organization_id
        - query
        - filters
        - schema_matches
        - data_dictionary_matches
      title: McpContextSearchResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    McpContextFilters:
      properties:
        connector_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector Type
        integration_source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Integration Source Id
      type: object
      title: McpContextFilters
    McpSchemaMatch:
      properties:
        data_source_id:
          type: string
          title: Data Source Id
        connector_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector Type
        schema_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Name
        table_name:
          type: string
          title: Table Name
        qualified_name:
          type: string
          title: Qualified Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - data_source_id
        - table_name
        - qualified_name
      title: McpSchemaMatch
    McpDataDictionaryMatch:
      properties:
        rank:
          type: integer
          title: Rank
        score:
          type: number
          title: Score
        content:
          type: string
          title: Content
        integration_source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Integration Source Id
        connector_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector Type
      type: object
      required:
        - rank
        - score
        - content
      title: McpDataDictionaryMatch
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        details:
          additionalProperties: true
          type: object
          title: Details
      type: object
      required:
        - code
        - message
      title: ErrorDetail

````